@charset "UTF-8";
/* CSS Document */
*{
    box-sizing: border-box;
}
body{
    margin: 0;
    display: grid;
    grid-template-rows: 200px 1fr;
    font-family: Arial, Helvetica, sans-serif;
    background-color: rgb(29, 32, 32);
    color: white;
}
header, nav{
    height: 100%;
}
nav ul{
    height: 100%;
    display: grid;
    grid-template-rows: 75% 1fr;
    grid-template-columns: 1fr 1fr max-content 1fr 1fr;
    justify-content: center;
    justify-items: center;
    margin: 0;
    padding: 0;
}
nav ul li{
    list-style-type: none;
}

nav ul li {
    width: 100%;
    height: 100%;
    background-color: rgb(0, 81, 76);
    display: grid;
    justify-content: center;
}
nav ul li a{
    align-self: center;
    color: white;
    text-decoration: none;
    font-size: 25px;
    font-family: Arial, Helvetica, sans-serif;
}

.shown {
    top: 0 !important;
    transition: top .5s ;
}

#nav-overlay{
        position: fixed;
        inset: 0;
        background-color: rgba(0, 0, 0, 0.32);
        z-index: 9;
        display: none;
    }


.homeButton{

}
#homeButton {
    grid-row: 1/3;
    grid-column: 3/4;
    z-index: 5;
    height: 100%;

}
#homeButton {
    width: 200px;
    height: 200px;
    border-radius: 100%;
    background-color: white;
    display: grid;
    justify-content: center;
    align-content: center;
}
#homeButton img{
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 100%;
    
}

#hero{
    position: relative;
    top: -50px;
    background-image: url(Photos/Taylor-sillouette-2.jpeg);
    width: 100%;
    height: 500px;

    z-index: -2;

    background-repeat: no-repeat;
    background-size: cover;
    background-attachment:fixed;
    background-position: center;

    display: grid;
    align-content: center;
    justify-content: center;
    
    transition: background-image .5s;
}
#hero div.title{
    background-color: rgba(0, 0, 0, 0.478);
    color: white;
    padding: 15px;
    text-align: center;
    z-index: 5;
    /* backdrop-filter: blur(10px); */
}
#hero2{

    background-image: url(Photos/taylor-standing.jpg);

    background-repeat: no-repeat;
    background-size: cover;
    background-attachment:fixed;
    background-position: center;

    position: absolute;
    inset: 0;

    z-index: -1;

    transition: opacity 0.5s;
    opacity: 0%;
}
.imageShown{
    opacity: 100% ; 
}

h2{
    font-weight: normal;
}

p{
    margin-inline: 10%;
    font-size: 20px;
}
@media screen and (max-width: 700px) {
 
    nav{
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: max-content 1fr;
        justify-content: center;
        background-color: rgb(0, 81, 76);
;
    }
    #navBar{
        position: fixed;
        top: -100%;
        transition: top .5s;
        right: 0;
        padding: 15px;
        display: grid;
        grid-template-columns: max-content 1fr;
        background-color: rgba(4, 22, 21, 0.738);
        backdrop-filter: blur(30px);
        z-index: 10;
        border-radius: 0px 0px 0px 25px;


    }
    #navBar ul{
        display: flex;
        flex-direction: column;
        height: fit-content;
    }
    #navBar ul li{
        padding: 20px;
        background: none;
    }
    #homeButton{
        grid-column: 1/2;
        margin: 15px;
    }
    #hero{
        position: initial;
    }
    body{
        display: block;
    }
    #showNav, #closeNav{
        background: none;
        border: none;
        /* width: 50px; */
        cursor: pointer;
    }
    #showNav{
        justify-self:end;
        align-self: center;
        margin: 15px;
    }
    #closeNav{
        align-self: flex-start;
    }
    #closeNav img{
        width: 30px;
        height: 30px;
        padding: none;
        margin: none;
    }
    #showNav img{
        width: 50px;
        height: 50px;
        padding: none;
        margin: none;
    }
    
}